.ember-basic-dropdown-content {
  z-index: 1500;
  font-size: .85rem;
}

.ember-power-select-trigger {
  line-height: 3rem;
  overflow: hidden;
}

.ember-power-select-no-icon .ember-power-select-status-icon {
  display: none;
}

.ember-power-select-option {
  border-top: 1px solid #e6e6e6;
  &:hover, :active {
    background: $dark;
    color: white;
  }
  &[aria-current="true"] {
    background: $dark;
    color: white;
  }
}

.ember-basic-dropdown-trigger--below.ember-power-select-trigger[aria-expanded="true"],
.ember-basic-dropdown-trigger--in-place.ember-power-select-trigger[aria-expanded="true"],
.ember-basic-dropdown-trigger--above.ember-power-select-trigger[aria-expanded="true"] {
  border-bottom-left-radius: 0.3125rem;
  border-bottom-right-radius: 0.3125rem;
}


.ember-power-select-dropdown.ember-basic-dropdown-content--above,
.ember-power-select-dropdown.ember-basic-dropdown-content--in-place,
.ember-power-select-dropdown.ember-basic-dropdown-content--below {
  border-top: 1px solid #aaaaaa;
  border-bottom: 1px solid #aaaaaa;
  border-top-left-radius: 0.3125rem;
  border-top-right-radius: 0.3125rem;
}


.ember-power-select-trigger--active {
  border-color: $dark !important;
}

.ember-power-select-options {
  max-height: 20rem !important;
  & .ember-power-select-multiple-remove-btn {
    padding-left: .5rem;
    width: 100%;
    color: $dark;
    opacity: 1;
    font-weight: bold;
    & > .button-counter {
      width: 100%;
      color: #acacac;
      font-weight: normal;
    }
  }
  & .ember-power-select-option {
    &:hover {
      & * {
        color: white;
      }
      color: white;
    }
  }
  & .ember-power-select-option[aria-current="true"] {
    & * {
      color: white;
    }
    color: white;
  }
}

.ember-power-select-multiple-option {
  & span.ember-power-select-multiple-remove-btn {
    display: none;
    background-color: black;
  }
  & > .ember-power-select-multiple-remove-btn {
    opacity: 1;
    font-weight: bold;
    & > .button-counter {
      display: none;
    }
  }
}
